summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorVanush Misha Paturyan2016-02-20 14:27:22 +0000
committerVanush "Misha" Paturyan2016-02-20 14:32:55 +0000
commitd85ce7ac2e11a8c9ec88889d8aec09c743be78a7 (patch)
tree21e617997d42b218a806cc2a00320d3e8e0b2015
parentfdbc6e689db57d5205def94bdf73600d8b544f0c (diff)
downloadaur-d85ce7ac2e11a8c9ec88889d8aec09c743be78a7.tar.gz
version 3.7.2 and a new maintainer
- version 3.7.2 is upstream's LTS version - depends on lmdb instead of qdbm/tokyocabinet - depends on pam - installs stock policy into /usr/share/doc/cfengine/CoreBase - on install copies stock policy into /var/cfengine/masterfiles
-rw-r--r--PKGBUILD51
-rw-r--r--cfengine.install34
2 files changed, 59 insertions, 26 deletions
diff --git a/PKGBUILD b/PKGBUILD
index 8ecf6221d6f..c8ab5a1180a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,31 +1,34 @@
-# Maintainer: Kuba Serafinowski <zizzfizzix AT gmail DOT com>
+# Maintainer: Vanush Misha Paturyan <ektich+cfengine-aur@gmail.com>
# https://github.com/zizzfizzix/pkgbuilds
#
+# Contributor: Kuba Serafinowski <zizzfizzix AT gmail DOT com>
# Contributor: Phillip Smith <fukawi2@NO-SPAM.gmail.com>
# Contributor: Christian Berendt <christian@thorlin.de>
pkgname=cfengine
-pkgver=3.6.0
+pkgver=3.7.2
pkgrel=1
pkgdesc='Automated suite of programs for configuring and maintaining Unix-like computers.'
url='http://www.cfengine.org'
license=('GPL3')
arch=('i686' 'x86_64')
-depends=('qdbm' 'openssl' 'pcre' 'libxml2')
+depends=('lmdb' 'openssl' 'pcre' 'libxml2' 'pam')
makedepends=('which')
-optdepends=('tokyocabinet' 'libvirt' 'postgresql-libs' 'libmariadbclient' 'acl')
+optdepends=('libvirt' 'postgresql-libs' 'libmariadbclient' 'acl')
install=${pkgname}.install
-source=("${pkgname}-${pkgver}.tar.gz::https://s3.amazonaws.com/cfengine.package-repos/tarballs/${pkgname}-${pkgver}.tar.gz"
+source=("${pkgname}-${pkgver}.tar.gz::https://cfengine-package-repos.s3.amazonaws.com/tarballs/${pkgname}-${pkgver}.tar.gz"
+ "https://cfengine-package-repos.s3.amazonaws.com/tarballs/cfengine-masterfiles-${pkgver}.tar.gz"
'cf-execd.service'
'cf-monitord.service'
'cf-serverd.service')
-md5sums=('42b0d3a90a1b60bf25cf63ccd6366f59'
+md5sums=('aff92abe87a5424680afd285d0384bef'
+ '48335259f199c87c2d7652ed8405f21c'
'dba17dc5133b8fa86de11577120d46c5'
'a2f9db31408f288cb934397ffb474db3'
'ff28f7de9b81b4673082a2640a318896')
build() {
- cd ${srcdir}/${pkgname}-${pkgver}
+ cd ${srcdir}/${pkgname}-${pkgver}
./configure \
--prefix=/usr \
@@ -35,25 +38,39 @@ build() {
--with-libacl=check \
--with-libxml2 \
--with-libvirt=check \
- --with-qdbm \
+ --with-lmdb \
--with-mysql=check \
- --with-tokyocabinet=check \
--with-postgresql=check
make
+ # now build masterfiles
+ cd ${srcdir}/${pkgname}-masterfiles-${pkgver}
+ ./configure \
+ --prefix=/usr/share/doc/cfengine/CoreBase \
+ --with-core=../cfengine-${pkgver}
}
package() {
- cd ${srcdir}/${pkgname}-${pkgver}
+ cd ${srcdir}/${pkgname}-${pkgver}
+ make DESTDIR=$pkgdir install
+
+ # masterfiles
+ cd ${srcdir}/${pkgname}-masterfiles-${pkgver}
+ make DESTDIR=$pkgdir install
+
+ install -D -m644 ${srcdir}/cf-execd.service \
+ ${pkgdir}/usr/lib/systemd/system/cf-execd.service
+ install -D -m644 ${srcdir}/cf-serverd.service \
+ ${pkgdir}/usr/lib/systemd/system/cf-serverd.service
+ install -D -m644 ${srcdir}/cf-monitord.service \
+ ${pkgdir}/usr/lib/systemd/system/cf-monitord.service
- make DESTDIR=$pkgdir install
+ install -d -m755 ${pkgdir}/var/cfengine/bin
+ install -d -m755 ${pkgdir}/var/cfengine/masterfiles
- install -D -m644 ${srcdir}/cf-execd.service \
- ${pkgdir}/usr/lib/systemd/system/cf-execd.service
- install -D -m644 ${srcdir}/cf-serverd.service \
- ${pkgdir}/usr/lib/systemd/system/cf-serverd.service
- install -D -m644 ${srcdir}/cf-monitord.service \
- ${pkgdir}/usr/lib/systemd/system/cf-monitord.service
+ for f in $(ls ${pkgdir}/usr/bin); do
+ /bin/ln -s /usr/bin/$f ${pkgdir}/var/cfengine/bin
+ done
}
# vim:set ts=2 sw=2 et:
diff --git a/cfengine.install b/cfengine.install
index fad7bbaca45..d9820b51164 100644
--- a/cfengine.install
+++ b/cfengine.install
@@ -1,19 +1,35 @@
+PREFIX=/var/cfengine
+
post_install() {
- if [ ! -f /var/cfengine/ppkeys/localhost.priv ]; then
- cf-key > /dev/null
+# generate a host key
+ if [ ! -f $PREFIX/ppkeys/localhost.priv ]; then
+ $PREFIX/bin/cf-key > /dev/null
fi
- if ! [ -f /var/cfengine/masterfiles/promises.cf ]; then
- cp -R /usr/share/CoreBase/* /var/cfengine/masterfiles/
+# copy the stock policy for the new installations and create promies_validated
+ if ! [ -f $PREFIX/masterfiles/promises.cf ]; then
+ /bin/cp -R /usr/share/doc/cfengine/CoreBase/masterfiles/* $PREFIX/masterfiles/
+ $PREFIX/bin/cf-promises -T $PREFIX/masterfiles
+ fi
+
+# copy modules/packages (part of stock policy)
+ if ! [ -f $PREFIX/modules/packages ]; then
+ mkdir -p $PREFIX/modules/packages
fi
-
- if ! [ -f /var/cfengine/bin/cf-promises ]; then
- cd /var/cfengine/bin
- ln -s /usr/bin/cf-* .
+ if cd /usr/share/doc/cfengine/CoreBase/modules/packages; then
+ for module in *; do
+ if ! [ -f $PREFIX/modules/packages/$module ]; then
+ cp $module $PREFIX/modules/packages
+ fi
+ done
fi
+ #if ! [ -f /var/cfengine/bin/cf-promises ]; then
+ # cd /var/cfengine/bin
+ # ln -s /usr/bin/cf-* .
+ #fi
- echo "Bootstrap cfengine with cf-agent --bootstrap <IP address of policy server>"
+ echo -e "\nBootstrap cfengine with cf-agent --bootstrap <IP address of policy server>\n"
}
post_remove() {